Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.display
Class ScrolledBookDataDisplay

    java.lang.Object
      org.crosswire.bibledesktop.display.ProxyBookDataDisplay
          org.crosswire.bibledesktop.display.ScrolledBookDataDisplay

All Implemented Interfaces:
  PropertyChangeListener, EventListener, BookDataDisplay, org.crosswire.jsword.book.BookProvider

    public class ScrolledBookDataDisplay

extends ProxyBookDataDisplay

An inner component of Passage pane that can't show the list.

Author:
  Joe Walker
See Also:
  `for license details.`

Field Summary
`private JScrollPane` | `scrView` The scroller for the TextPaneBookDataDisplay component

Fields inherited from interface org.crosswire.bibledesktop.display.BookDataDisplay
`COMPARE_BOOKS`

Constructor Summary
`ScrolledBookDataDisplay(BookDataDisplay child)` Simple Constructor

Method Summary
`Component` | `getComponent()` Accessor for the Swing component

Methods inherited from class org.crosswire.bibledesktop.display.ProxyBookDataDisplay
`addKeyChangeListener, addURIEventListener, clearBookData, copy, getBooks, getFirstBook, getKey, getProxy, propertyChange, refresh, removeKeyChangeListener, removeURIEventListener, setBookData, setCompareBooks, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### scrView

    private JScrollPane scrView

  The scroller for the TextPaneBookDataDisplay component

Constructor Detail

### ScrolledBookDataDisplay

    public ScrolledBookDataDisplay(BookDataDisplay child)

  Simple Constructor

Method Detail

### getComponent

    public Component getComponent()

  Description copied from interface: `BookDataDisplay`
  Accessor for the Swing component

  Specified by:
    `getComponent` in interface `BookDataDisplay`
  Overrides:
    `getComponent` in class `ProxyBookDataDisplay`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD